/**
 * Single Post Styles
 */

/* Blog Post Banner Image */
.blog-post-banner {
	width: 100%;
	margin-bottom: 0;
	position: relative;
	height: 634px;
	overflow: hidden;
}
.blog-post-banner h1 {
		position:absolute;
		left: 0;
		right: 0;
		top: 0;
		bottom: 0;
		height: 100%;
		display: flex;
		align-items: center;
		text-align: center;
		justify-content: center;
		color: #F8F2DF;
		font-size: 35px;
		font-weight: 100;
		line-height: 41px;
		max-width: 750px;
		margin: 0 auto;
}
.blog-post-banner .blog-post-banner-image {
	width: 100%;
	height: 100%;
	display: block;
	object-fit: cover;
}

/* Blog Categories Menu */
.blog-categories-menu {
	margin-bottom: 73px;
	border-top: 2px solid #4C4C3B;
	border-bottom: 2px solid #4C4C3B;
	padding: 19px 47px;
}

.blog-categories-menu .blog-categories-menu-list {
	list-style: none;
	margin: 0;
	padding: 0;
	display: flex;
	flex-wrap: wrap;
	gap: 1rem;
	justify-content: space-around;
}

.blog-categories-menu .blog-categories-menu-list li {
	margin: 0;
	font-family: 'Sunrider';
	font-size: 15px;
	color: #4C4C3B;
	padding: 5px 0 0;
}
.blog-categories-menu .blog-categories-menu-list li.button {background:#F7F2EB;padding: 3px 7px 0;}
.blog-categories-menu .blog-categories-menu-list li a {
	text-decoration: none;
	color: var(--wp--preset--color--dark-brown);
	transition: all 0.5s;
}

.blog-categories-menu .blog-categories-menu-list li a:hover {
	text-decoration:underline;
}
.blog-categories-menu .blog-categories-menu-list li.button a:hover {
	text-decoration:none;
}

/* Blog Post Layout with Sidebar */
.blog-post-with-sidebar .blog-post-layout {
	display: flex;
	justify-content:space-between;
	max-width: 1161px;
	margin: 81px auto;
}

.blog-post-with-sidebar .blog-post-layout .blog-post-main {
	min-width: 0; /* Prevents flex item from overflowing */
	max-width: 62%;
	margin-left: 0;
}
.blog-post-with-sidebar .blog-post-layout .blog-post-main h2:nth-child(1) {
	margin: 0 0 20px;
}
.blog-post-with-sidebar .blog-post-layout .blog-post-main h3 {
	margin: 20px 0;
}
.blog-post-with-sidebar .blog-post-layout .blog-post-sidebar {
	width: 338px;
	flex-shrink: 0;
}
.blog-post-with-sidebar .blog-post-layout .blog-post-sidebar .wp-block-group {
	padding:0!important;
}
.blog-post-with-sidebar .blog-post-layout .blog-post-sidebar .wp-block-group.sidebar-about {
	border:2px solid #4C4C3B;
	border-radius:12px;
	overflow:hidden;
	margin: 0 auto 20px
}
.blog-post-with-sidebar .blog-post-layout .blog-post-sidebar .wp-block-group.sidebar-about img {
	    width: 100%;
    height: auto;
    border-radius: 12px;
}
.blog-post-with-sidebar .blog-post-layout .blog-post-sidebar .wp-block-group.sidebar-about p {
	    color: #4C4C3B;
	    font-size: 16px;
	    line-height: 22px;
	    padding: 0 28px;
	    margin: 0 0 30px;
}
.blog-post-with-sidebar .blog-post-layout .blog-post-sidebar .wp-block-group.sidebar-about h2 {
	margin: 32px 0 24px;
	font-size: 26px;
}
.blog-post-with-sidebar .blog-post-layout .blog-post-sidebar .wp-block-group.sidebar-about .wp-block-button__link {
	margin: 0 auto 34px;
	background: #F7F2EB;
	padding: 5px 7px 3px;
}
.blog-post-with-sidebar .blog-post-layout .blog-post-sidebar .wp-block-search__input {
	    background: #F7F2EB;
	    border: 2px solid #4C4C3B;
	    border-radius: 12px;
	    color: #4C4C3B;
	    font-size: 16px;
	    line-height: 22px;
	    padding: 7px 10px;
	    height: 37px;
	    margin: 0 auto 26px;
}
.blog-post-with-sidebar .blog-post-layout .blog-post-sidebar .wp-block-search__input::placeholder {
	 color: #4C4C3B;
}

.blog-post-with-sidebar .blog-post-layout .blog-post-sidebar .more-categories {
	margin: 0 0 28px;
}
.blog-post-with-sidebar .blog-post-layout .blog-post-sidebar .wp-block-group.more-categories .wp-block-button__link {
	background:#F8F2DF;
	padding: 4px 12px 2px;
	border-radius: 15px;
}
.blog-post-with-sidebar .blog-post-layout .blog-post-sidebar .wp-block-group.more-categories .wp-block-buttons  {
	gap: 13px;
	margin: 15px 0 0;
}
.blog-post-with-sidebar .blog-post-layout .blog-post-sidebar .wpforms-block  {
	background: #724E30;
    padding: 10px;
    border-radius: 12px;
    border: 2px solid #4C4C3B;
    color: #F8F2DF;
	text-align:center;
}
.blog-post-with-sidebar .blog-post-layout .blog-post-sidebar .wpforms-block .wpforms-title {
    background: #F8F2DF;
    color: #4C4C3B;
    text-align: center;
    font-family: 'Sunrider';
    font-size: 15px;
    line-height: 18px;
    border-radius: 12px;
    padding: 13px;
    max-width: 84%;
    margin: 17px auto 12px;
}
.blog-post-with-sidebar .blog-post-layout .blog-post-sidebar .wpforms-block .wpforms-field-container {
	display:block;
}
.blog-post-with-sidebar .blog-post-layout .blog-post-sidebar .wpforms-block fieldset {
	border:none;
	padding:0;
}
.blog-post-with-sidebar .blog-post-layout .blog-post-sidebar .wpforms-block label, .blog-post-with-sidebar .blog-post-layout .blog-post-sidebar .wpforms-block legend {
	font-size:0;
	margin:0;
	height:0;
	display: block;
}
.blog-post-with-sidebar .blog-post-layout .blog-post-sidebar .wpforms-block .wpforms-field-row  {
	display:flex;
	justify-content: space-between;
	gap: 6px;
	margin: 20px auto 0;
	padding: 0 9px;
}
.blog-post-with-sidebar .blog-post-layout .blog-post-sidebar .wpforms-block input {
	border:2px solid #4C4C3B;
	background:#F7F2EB;
	text-align:center;
	border-radius:12px;
	height:37px;
	color:#4C4C3B;
	font-size:16px;
	font-family: 'p22-mackinac-pro';
	padding: 0;
	width: 100%;
	margin: 0 0 10px;
}
.blog-post-with-sidebar .blog-post-layout .blog-post-sidebar .wpforms-block input[type="email"] {
	max-width: 70%;
	margin-bottom: 13px;
}
.blog-post-with-sidebar .blog-post-layout .blog-post-sidebar .wpforms-block button {
background: #BF9E74;
    height: 37px;
    padding: 0 17px;
    border-radius: 12px;
    margin: 3px auto 17px;
	transition: all 0.5s;
}
.blog-post-with-sidebar .blog-post-layout .blog-post-sidebar .wpforms-block button:hover {
	transform: translateY(-2px);
}
.blog-post-with-sidebar .blog-post-layout .blog-post-sidebar .wpforms-block input::placeholder {
	color:#4C4C3B;
}
.blog-post-with-sidebar .blog-post-layout .blog-post-sidebar .sidebar-cta {
		border:2px solid #4C4C3B;
	border-radius:12px;
	text-align:center;
	padding:10px!important;
	margin:30px 0
}
.blog-post-with-sidebar .blog-post-layout .blog-post-sidebar .sidebar-cta p {
	    line-height: 35px;
    margin: 10px 0 -8px;
}
.blog-post-with-sidebar .blog-post-layout .blog-post-sidebar .wp-block-group.sidebar-cta .wp-block-button__link {
	margin-bottom: 15px;
	padding: 9px 24px 7px;
}
.honeybook h2 {
	font-size:30px;
	margin-bottom: 10px;
}
.honeybook p {
	margin: 0 0 32px;
}
.honeybook .contact-form {
	    border: 2px solid #C1B488;
    border-radius: 12px;
    overflow: hidden;
    max-width: 1068px;
    background: white;
}
@media (max-width:1280px) {
	.blog-categories-menu .blog-categories-menu-list {
		gap:10px;
	}
	.blog-categories-menu {
		padding: 19px 17px;
	}
}
@media (max-width:1024px) {
	.blog-categories-menu .blog-categories-menu-list {
		display:block;
		position:relative;
		text-align:center;
		padding-bottom: 40px;
	}
	.blog-categories-menu .blog-categories-menu-list li a {
		border-bottom:2px solid #4C4C3B;
		display:block;
		padding:10px 0 
	 }
	.blog-categories-menu {
        padding: 0px 0px;
    }
	.blog-categories-menu {
		border-bottom:none;
	}
	.blog-categories-menu .blog-categories-menu-list li.button {
	position:absolute;
		bottom:-20px;
		left:0;
		right:0;
		margin: auto;
		width:210px;
	}
	.blog-categories-menu .blog-categories-menu-list li.button a {
		border-bottom:none;
	}
	.blog-post-with-sidebar .blog-post-layout {
		display:block;
		max-width: 95%;
	}
	.blog-post-with-sidebar .blog-post-layout .blog-post-main {
		width:100%;
		max-width: 100%;
	}
	.blog-post-with-sidebar .blog-post-layout .blog-post-sidebar {
		margin: 0 auto;
	}
}
/* Responsive: Stack on mobile */
@media (max-width: 768px) {
	.blog-post-with-sidebar .blog-post-layout {
		flex-direction: column;
	}

	.blog-post-with-sidebar .blog-post-layout .blog-post-sidebar {
		width: 100%;
		max-width: 338px;
	}
	.blog-post-with-sidebar .blog-post-layout .blog-post-sidebar .sidebar-cta p br{
		display:block!important;
	}
}

@media (max-width:500px) {
	.blog-post-banner {
    width: 100%;
    margin-bottom: 0;
    position: relative;
    height: 334px;
    overflow: hidden;
}
	.blog-post-banner h1 {
		font-size:20px;
		line-height:1.2;
	}
	.single-post .blog-categories-menu {
		display:none;
	}
	.blog-post-with-sidebar .blog-post-layout {
		margin: 30px auto;
	}
}